Add library quick view dialog
Status: Closed Start date: 09/12/2017

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 2.0   

Description

Associated revisions

Revision 833 - 09/12/2017 08:26 PM - lukemurphey

Adding first revision of works dialog

Reference #2060

Revision 835 - 09/13/2017 05:12 AM - lukemurphey

FIxing issue where the library dialog didn't work correctly (and other small updates)

Reference #2060

Revision 836 - 09/13/2017 05:07 PM - lukemurphey

Making the images link to the work, not the work info

Reference #2060

Revision 837 - 09/13/2017 05:08 PM - lukemurphey

Making the workindex a full screen dialog

Reference #2060

Revision 838 - 09/13/2017 05:09 PM - lukemurphey

Fixing links to the works

Reference #2060

History

#1 - 09/12/2017 08:23 PM - Luke Murphey

Need to:

Not render the works list on the home page and works index

Close dialog when clicking out of it

Render images on demand only

Fix links
Fix pagination

Show loading

Get this to work on mobile

#2 - 09/13/2017 04:45 AM - Luke Murphey

This isn't working due to some issue in datatables. The error is

Pressing next causes "Uncaught TypeError: Cannot read property 'nTr' of undefined"

Pressing the paginator shows many entries

The page doesn't change sometimes

The full-page lister works

Issue is here: https://stackoverflow.com/questions/21762872/datatables-uncaught-typeerror-cannot-read-property-ntr-of-undefined

#3 - 10/05/2018 05:39 PM - Luke Murphey

- Target version changed from 2.0 to 2.1

#4 - 10/05/2018 05:40 PM - Luke Murphey

- Status changed from New to Closed

- Target version changed from 2.1 to 2.0
